Index: EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.c
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.c	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.c	(revision 321)
@@ -1,4 +1,4 @@
 /*
- * ESP-WROOM-02é¢é£
+ * ESP-WROOM-02関連
  *
  * Copyright (c) 2016 Wakayama.rb Ruby Board developers
@@ -26,11 +26,11 @@
 
 unsigned char WiFiData[256];
-int WiFiRecvOutlNum = -1;	/*ESP8266ããã®åä¿¡ãåºåããã·ãªã¢ã«çªå·: -1ã®å ´åã¯åºåããªãã*/
-
-/******************************************************/
-/* OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ããã*/
-/* æå®ãããã·ãªã¢ã«ãã¼ãã«åºåãã¾ã*/
+int WiFiRecvOutlNum = -1;	/*ESP8266からの受信を出力するシリアル番号: -1の場合は出力しない。*/
+
+/******************************************************/
+/* OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読むか、*/
+/* 指定されたシリアルポートに出力します*/
 /**/
-/* 1:åä¿¡ãã, 0:åä¿¡ã§ããªãã£ã*/
+/* 1:受信した, 0:受信できなかった*/
 /******************************************************/
 int getData(int wait_msec)
@@ -49,8 +49,7 @@
 	times = us_ticker_read() / 1000;
 	while (n < 256) {
-		/*digitalWrite(get_pin(WIFI_CTS), 0);	//éä¿¡è¨±å¯*/
-
-		/*wait_msec å¾
-ã¤*/
+		/*digitalWrite(get_pin(WIFI_CTS), 0);	//送信許可*/
+
+		/*wait_msec 待つ*/
 		if ((us_ticker_read() / 1000) - times > wait_msec) {
 			DEBUG_PRINT("WiFi get Data", "Time OUT");
@@ -63,5 +62,5 @@
 				c = serial_getc(RbSerial[WIFI_SERIAL]);
 
-				/*æå®ã®ã·ãªã¢ã«ãã¼ãã«åºãè¨­å®ã§ããã°ãåä¿¡å¤ãåºåãã¾ã*/
+				/*指定のシリアルポートに出す設定であれば、受信値を出力します*/
 				if (WiFiRecvOutlNum >= 0) {
 					serial_putc(RbSerial[WiFiRecvOutlNum], (unsigned char)c);
@@ -107,10 +106,10 @@
 		}
 	}
-	/*digitalWrite(get_pin(WIFI_CTS), 0);	//éä¿¡è¨±å¯*/
+	/*digitalWrite(get_pin(WIFI_CTS), 0);	//送信許可*/
 	return 1;
 }
 
 /******************************************************/
-/* ã¹ãã¼ã·ã§ã³ã¢ã¼ãã®è¨­å®: WiFi.cwmode*/
+/* ステーションモードの設定: WiFi.cwmode*/
 /*  WiFi.cwmode(mode)*/
 /*  mode: 1:Station, 2:SoftAP, 3:Station + SoftAP*/
@@ -128,5 +127,5 @@
 	serial_println(RbSerial[WIFI_SERIAL], tmode);
 
-	/*OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ããæå®ãããã·ãªã¢ã«ãã¼ãã«åºåãã¾ã*/
+	/*OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読か、指定されたシリアルポートに出力します*/
 	getData(WIFI_WAIT_MSEC);
 
@@ -135,9 +134,8 @@
 
 /******************************************************/
-/* ã³ãã³ãå¿ç­ã®ã·ãªã¢ã«åºåè¨­å®: WiFi.sout*/
+/* コマンド応答のシリアル出力設定: WiFi.sout*/
 /*  WiFi.sout( mode[,serialNumber] )*/
-/*	mode: 0:åºåããªã, 1:åºåãã*/
-/*  serialNumber: åºåå
-ã®ã·ãªã¢ã«çªå·*/
+/*	mode: 0:出力しない, 1:出力する*/
+/*  serialNumber: 出力先のシリアル番号*/
 /******************************************************/
 mrb_value mrb_wifi_Sout(mrb_state *mrb, mrb_value self)
@@ -158,13 +156,12 @@
 		}
 	}
-	return mrb_nil_value();			/*æ»ãå¤ã¯ç¡ãã§ããã*/
-}
-
-/******************************************************/
-/* ATã³ãã³ãã®éä¿¡: WiFi.at*/
+	return mrb_nil_value();			/*戻り値は無しですよ。*/
+}
+
+/******************************************************/
+/* ATコマンドの送信: WiFi.at*/
 /*  WiFi.at( command[, mode] )*/
-/*	commnad: ATã³ãã³ãå
-å®¹*/
-/*  mode: 0:'AT+'ãèªåè¿½å ããã1:'AT+'ãèªåè¿½å ããªã*/
+/*	commnad: ATコマンド内容*/
+/*  mode: 0:'AT+'を自動追加する、1:'AT+'を自動追加しない*/
 /******************************************************/
 mrb_value mrb_wifi_at(mrb_state *mrb, mrb_value self)
@@ -191,5 +188,5 @@
 	/*DEBUG_PRINT("WiFi.at",(const char*)WiFiData);*/
 
-	/*OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ããæå®ãããã·ãªã¢ã«ãã¼ãã«åºåãã¾ã*/
+	/*OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読か、指定されたシリアルポートに出力します*/
 	getData(WIFI_WAIT_MSEC);
 
@@ -198,8 +195,8 @@
 
 /******************************************************/
-/* WiFiæ¥ç¶ãã¾ã: WiFi.cwjap*/
+/* WiFi接続します: WiFi.cwjap*/
 /*  WiFi.cwjap(SSID,Passwd)*/
-/*  SSID: WiFiã®SSID*/
-/*  Passwd: ãã¹ã¯ã¼ã*/
+/*  SSID: WiFiのSSID*/
+/*  Passwd: パスワード*/
 /******************************************************/
 mrb_value mrb_wifi_Cwjap(mrb_state *mrb, mrb_value self)
@@ -245,5 +242,5 @@
 	serial_println(RbSerial[WIFI_SERIAL], (const char*)WiFiData);
 
-	/*OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ããæå®ãããã·ãªã¢ã«ãã¼ãã«åºåãã¾ã*/
+	/*OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読か、指定されたシリアルポートに出力します*/
 	getData(WIFI_WAIT_MSEC);
 
@@ -252,5 +249,5 @@
 
 /******************************************************/
-/* IPã¢ãã¬ã¹ã¨MACã¢ãã¬ã¹ã®è¡¨ç¤º: WiFi.cifsr*/
+/* IPアドレスとMACアドレスの表示: WiFi.cifsr*/
 /*  WiFi.cwjap()*/
 /******************************************************/
@@ -259,5 +256,5 @@
 	serial_println(RbSerial[WIFI_SERIAL], "AT+CIFSR");
 
-	/*OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ããæå®ãããã·ãªã¢ã«ãã¼ãã«åºåãã¾ã*/
+	/*OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読か、指定されたシリアルポートに出力します*/
 	getData(WIFI_WAIT_MSEC);
 
@@ -266,7 +263,7 @@
 
 /******************************************************/
-/* USBãã¼ãã¨ESP8266ãã·ãªã¢ã«ã§ç´çµãã¾ã: WiFi.bypass*/
+/* USBポートとESP8266をシリアルで直結します: WiFi.bypass*/
 /*  WiFi.bypass()*/
-/* ãªã»ããããã¾ã§ãå¦çã¯æ»ãã¾ããã*/
+/* リセットするまで、処理は戻りません。*/
 /******************************************************/
 mrb_value mrb_wifi_bypass(mrb_state *mrb, mrb_value self)
@@ -297,9 +294,9 @@
 		}
 	}
-	return mrb_nil_value();			/*æ»ãå¤ã¯ç¡ãã§ããã*/
-}
-
-/******************************************************/
-/* ã©ã¤ãã©ãªãå®ç¾©ãã¾ã*/
+	return mrb_nil_value();			/*戻り値は無しですよ。*/
+}
+
+/******************************************************/
+/* ライブラリを定義します*/
 /******************************************************/
 int esp8266_Init(mrb_state *mrb)
@@ -307,13 +304,13 @@
 	PinName txpin, rxpin;
 
-	/*ESP8266ããã®åä¿¡ãåºåããªãã«è¨­å®*/
+	/*ESP8266からの受信を出力しないに設定*/
 	WiFiRecvOutlNum = -1;
 
-	/*CTSç¨ã«PIN15ãOUTPUTã«è¨­å®ãã¾ã*/
+	/*CTS用にPIN15をOUTPUTに設定します*/
 	/*pinMode(get_pin(WIFI_CTS), 1);*/
 	/*digitalWrite(get_pin(WIFI_CTS), 1);*/
 
-	/*WiFiã®ã·ãªã¢ã«3ãè¨­å®*/
-	/*ã·ãªã¢ã«éä¿¡ã®åæåããã¾ã*/
+	/*WiFiのシリアル3を設定*/
+	/*シリアル通信の初期化をします*/
 	portToPins(SCI_SCI0P2x, &txpin, &rxpin);
 	serial_init(RbSerial[WIFI_SERIAL], txpin, rxpin);
@@ -321,5 +318,5 @@
 	int len;
 
-	/*åä¿¡ãããã¡ãç©ºã«ãã¾ã*/
+	/*受信バッファを空にします*/
 	while ((len = serial_readable(RbSerial[WIFI_SERIAL])) > 0) {
 		/*serial_print(RbSerial[0], len);*/
@@ -329,8 +326,8 @@
 	}
 
-	/*ECHOãªãã³ãã³ããéä¿¡ãã*/
+	/*ECHOオフコマンドを送信する*/
 	serial_println(RbSerial[WIFI_SERIAL], "ATE0");
 
-	/*OK 0d0a ã ERROR 0d0aãæ¥ãã¾ã§ WiFiData[]ã«èª­ã*/
+	/*OK 0d0a か ERROR 0d0aが来るまで WiFiData[]に読む*/
 	if (getData(500) == 0) {
 		return 0;
Index: EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.h
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.h	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-arduino/src/sWiFi.h	(revision 321)
@@ -1,4 +1,4 @@
 /*
- * ESP-WROOM-02é¢é£
+ * ESP-WROOM-02関連
  *
  * Copyright (c) 2016 Wakayama.rb Ruby Board developers
@@ -9,5 +9,5 @@
  */
 /******************************************************/
-/* ã©ã¤ãã©ãªãå®ç¾©ãã¾ã*/
+/* ライブラリを定義します*/
 /******************************************************/
 int esp8266_Init(mrb_state *mrb);
Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.c
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.c	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet.c	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
@@ -62,5 +47,5 @@
 
 /*
- * ECHONET Liteãµã¼ãã¹å¦çéå§
+ * ECHONET Liteサービス処理開始
  */
 ER ecn_sta_svc(ecnl_svc_task_t *svc)
@@ -72,18 +57,11 @@
 
 /*
- * ECHONETãªãã¸ã§ã¯ãåç
-§
- * å¼æ°
- * ID		fa_eobjid	ECHONETãªãã¸ã§ã¯ãID
- * T_REOBJ	*fp_eobj	ECHONETãªãã¸ã§ã¯ãã®è¨­å®å
-å®¹ã³ãã¼å
-
+ * ECHONETオブジェクト参照
+ * 引数
+ * ID		fa_eobjid	ECHONETオブジェクトID
+ * T_REOBJ	*fp_eobj	ECHONETオブジェクトの設定内容コピー先
  *
- * eobjidã§æå®ããECHONETãªãã¸ã§ã¯ãã®è¨­å®å
-å®¹ãåç
-§ããã
- * åç
-§ããè¨­å®å
-å®¹ã¯pk_eobjã«æå®ããã¡ã¢ãªã«è¿ãããã
+ * eobjidで指定したECHONETオブジェクトの設定内容を参照する。
+ * 参照した設定内容はpk_eobjに指定したメモリに返される。
  */
 ER ecn_ref_eobj(ecnl_svc_task_t *svc, ID fa_eobjid, T_REOBJ *fp_eobj)
@@ -92,8 +70,8 @@
 
 	if (!fp_eobj)
-		return E_PAR;	/* ãã©ã¡ã¼ã¿ã¨ã©ã¼ */
+		return E_PAR;	/* パラメータエラー */
 
 	if ((fa_eobjid <= 0) || (fa_eobjid > svc->tmax_eobjid))
-		return E_OBJ;	/* ãªãã¸ã§ã¯ãæªç»é² */
+		return E_OBJ;	/* オブジェクト未登録 */
 
 	p_obj = echonet_svctask_get_eobjinib(svc, fa_eobjid);
@@ -105,19 +83,12 @@
 
 /*
- * ECHONETãã­ããã£åç
-§
- * å¼æ°
- * ID			fa_eobjid	ECHONETãªãã¸ã§ã¯ãID
- * uint8_t		fa_epc		ãã­ããã£ã³ã¼ã
- * T_RPRP		*fp_eprp	ECHONETãªãã¸ã§ã¯ãã®ãã­ããã£è¨­å®å
-å®¹ã³ãã¼å
-
+ * ECHONETプロパティ参照
+ * 引数
+ * ID			fa_eobjid	ECHONETオブジェクトID
+ * uint8_t		fa_epc		プロパティコード
+ * T_RPRP		*fp_eprp	ECHONETオブジェクトのプロパティ設定内容コピー先
  *
- * eobjidã§æå®ããECHONETãªãã¸ã§ã¯ãã®ãepcã§æå®ãããã­ããã£ã®è¨­å®å
-å®¹ãåç
-§ããã
- * åç
-§ããè¨­å®å
-å®¹ã¯pk_eprpã«æå®ããã¡ã¢ãªã«è¿ãããã
+ * eobjidで指定したECHONETオブジェクトの、epcで指定したプロパティの設定内容を参照する。
+ * 参照した設定内容はpk_eprpに指定したメモリに返される。
  */
 ER ecn_ref_eprp(ecnl_svc_task_t *svc, ID fa_eobjid, uint8_t fa_epc, T_RPRP *fp_eprp)
@@ -128,13 +99,12 @@
 
 	if (!fp_eprp)
-		return E_PAR;	/* ãã©ã¡ã¼ã¿ã¨ã©ã¼ */
+		return E_PAR;	/* パラメータエラー */
 
 	if ((fa_eobjid <= 0) || (fa_eobjid > svc->tmax_eobjid))
-		return E_OBJ;	/* ãªãã¸ã§ã¯ãæªç»é² */
+		return E_OBJ;	/* オブジェクト未登録 */
 
 	p_obj = svc->eobjinib_table[fa_eobjid - 1];
 
-	/* eojã®æã¤ãã­ããã£åæåå®ç¾©é
-åããæ¤ç´¢ */
+	/* eojの持つプロパティ初期化定義配列から検索 */
 	p = p_obj->eprp;
 	for (i = 0; i < p_obj->eprpcnt; i++, p++) {
@@ -145,25 +115,21 @@
 	}
 
-	return E_PAR;	/* ãã©ã¡ã¼ã¿ã¨ã©ã¼ */
-}
-
-/*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_epc		ãã­ããã£ã³ã¼ã
- * uint8_t			fa_pdc		ãã­ããã£å¤ãã¼ã¿ãµã¤ãº
- * const void		*p_edt		ãã­ããã£å¤ãã¼ã¿
+	return E_PAR;	/* パラメータエラー */
+}
+
+/*
+ * プロパティ値書き込み要求（応答不要）電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * uint8_t			fa_epc		プロパティコード
+ * uint8_t			fa_pdc		プロパティ値データサイズ
+ * const void		*p_edt		プロパティ値データ
  *
- *	ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼é»æãä½æããã
- *	é»æã¯deojã§æå®ããECHONETãªãã¸ã§ã¯ããå®å
-ã¨ãã
- *	é»æã®åãã®ãã­ããã£å¤ã¨ãã¦ãepcã¨pdcãp_edtã§æå®ããã
- *	ãã­ããã£ã³ã¼ãããã¼ã¿ãµã¤ãºããã¼ã¿ãé»æã«è¨­å®ããã
- *	ä½æããé»æã®å
-é ­ã¢ãã¬ã¹ã¯ãã¤ã³ã¿çµç±ã§è¿ãããã
+ *	プロパティ値書き込み要求（応答不要）電文を作成する。
+ *	電文はdeojで指定したECHONETオブジェクトを宛先とし、
+ *	電文の初めのプロパティ値として、epcとpdc、p_edtで指定された
+ *	プロパティコード、データサイズ、データを電文に設定する。
+ *	作成した電文の先頭アドレスはポインタ経由で返される。
  */
 ER ecn_esv_seti(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, uint8_t fa_epc, uint8_t fa_pdc,
@@ -174,21 +140,17 @@
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_epc		ãã­ããã£ã³ã¼ã
- * uint8_t			fa_pdc		ãã­ããã£å¤ãã¼ã¿ãµã¤ãº
- * const void		*p_edt		ãã­ããã£å¤ãã¼ã¿
+ * プロパティ値書き込み要求（応答要）電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * uint8_t			fa_epc		プロパティコード
+ * uint8_t			fa_pdc		プロパティ値データサイズ
+ * const void		*p_edt		プロパティ値データ
  *
- *	ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼é»æãä½æããã
- *	é»æã¯deojã§æå®ããECHONETãªãã¸ã§ã¯ããå®å
-ã¨ãã
- *	é»æã®åãã®ãã­ããã£å¤ã¨ãã¦ãepcã¨pdcãp_edtã§æå®ããã
- *	ãã­ããã£ã³ã¼ãããã¼ã¿ãµã¤ãºããã¼ã¿ãé»æã«è¨­å®ããã
- *	ä½æããé»æã®å
-é ­ã¢ãã¬ã¹ã¯ãã¤ã³ã¿çµç±ã§è¿ãããã
+ *	プロパティ値書き込み要求（応答要）電文を作成する。
+ *	電文はdeojで指定したECHONETオブジェクトを宛先とし、
+ *	電文の初めのプロパティ値として、epcとpdc、p_edtで指定された
+ *	プロパティコード、データサイズ、データを電文に設定する。
+ *	作成した電文の先頭アドレスはポインタ経由で返される。
  */
 ER ecn_esv_setc(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, uint8_t fa_epc, uint8_t fa_pdc,
@@ -199,19 +161,15 @@
 
 /*
- * ãã­ããã£å¤èª­ã¿åºãè¦æ±é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_epc		ãã­ããã£ã³ã¼ã
+ * プロパティ値読み出し要求電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * uint8_t			fa_epc		プロパティコード
  *
- * ãã­ããã£å¤èª­ã¿åºãè¦æ±é»æãä½æããã
- * é»æã¯deojã§æå®ããECHONETãªãã¸ã§ã¯ããå®å
-ã¨ãã
- * é»æã®åãã®ãã­ããã£å¤ã¨ãã¦ãepcã§æå®ããã
- * ãã­ããã£ã³ã¼ããé»æã«è¨­å®ããã
- * ä½æããé»æã®å
-é ­ã¢ãã¬ã¹ã¯ãã¤ã³ã¿çµç±ã§è¿ãããã
+ * プロパティ値読み出し要求電文を作成する。
+ * 電文はdeojで指定したECHONETオブジェクトを宛先とし、
+ * 電文の初めのプロパティ値として、epcで指定された
+ * プロパティコードを電文に設定する。
+ * 作成した電文の先頭アドレスはポインタ経由で返される。
  */
 ER ecn_esv_get(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, uint8_t fa_epc)
@@ -221,19 +179,15 @@
 
 /*
- * ãã­ããã£å¤éç¥è¦æ±é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_epc		ãã­ããã£ã³ã¼ã
+ * プロパティ値通知要求電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * uint8_t			fa_epc		プロパティコード
  *
- * ãã­ããã£å¤éç¥è¦æ±é»æãä½æããã
- * é»æã¯deojã§æå®ããECHONETãªãã¸ã§ã¯ããå®å
-ã¨ãã
- * é»æã®åãã®ãã­ããã£å¤ã¨ãã¦ãepcã§æå®ããã
- * ãã­ããã£ã³ã¼ããé»æã«è¨­å®ããã
- * ä½æããé»æã®å
-é ­ã¢ãã¬ã¹ã¯ãã¤ã³ã¿çµç±ã§è¿ãããã
+ * プロパティ値通知要求電文を作成する。
+ * 電文はdeojで指定したECHONETオブジェクトを宛先とし、
+ * 電文の初めのプロパティ値として、epcで指定された
+ * プロパティコードを電文に設定する。
+ * 作成した電文の先頭アドレスはポインタ経由で返される。
  */
 ER ecn_esv_inf_req(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, uint8_t fa_epc)
@@ -243,21 +197,17 @@
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_epc		ãã­ããã£ã³ã¼ã
- * uint8_t			fa_pdc		ãã­ããã£å¤ãã¼ã¿ãµã¤ãº
- * const void		*p_edt		ãã­ããã£å¤ãã¼ã¿
+ * プロパティ値書き込み・読み出し要求電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * uint8_t			fa_epc		プロパティコード
+ * uint8_t			fa_pdc		プロパティ値データサイズ
+ * const void		*p_edt		プロパティ値データ
  *
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æãä½æããã
- * é»æã¯deojã§æå®ããECHONETãªãã¸ã§ã¯ããå®å
-ã¨ãã
- * é»æã®åãã®ãã­ããã£å¤ã¨ãã¦ãepcã¨pdcãp_edtã§æå®ããã
- * ãã­ããã£ã³ã¼ãããã¼ã¿ãµã¤ãºããã¼ã¿ãé»æã«è¨­å®ããã
- * ä½æããé»æã®å
-é ­ã¢ãã¬ã¹ã¯ãã¤ã³ã¿çµç±ã§è¿ãããã
+ * プロパティ値書き込み・読み出し要求電文を作成する。
+ * 電文はdeojで指定したECHONETオブジェクトを宛先とし、
+ * 電文の初めのプロパティ値として、epcとpdc、p_edtで指定された
+ * プロパティコード、データサイズ、データを電文に設定する。
+ * 作成した電文の先頭アドレスはポインタ経由で返される。
  */
 ER ecn_esv_set_get(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, uint8_t fa_epc, uint8_t fa_pdc,
@@ -268,9 +218,7 @@
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æï¼æãè¿ãæå®
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æä¸­ã®ãæ¸ãè¾¼ã¿ãã­ããã£é
-åãçµãã¦
- * èª­ã¿åºããã­ããã£é
-åã«ç§»ãæã«ç¨ããã
+ * プロパティ値書き込み・読み出し要求電文作成：折り返し指定
+ * プロパティ値書き込み・読み出し要求電文作成中の、書き込みプロパティ配列を終えて
+ * 読み出しプロパティ配列に移る時に用いる。
  */
 ER ecn_trn_set_get(mrb_state *mrb, T_EDATA *ppk_esv, int *p_trn_pos)
@@ -283,9 +231,8 @@
 		return E_PAR;
 
-	/* ãã­ããã£èª­ã¿è¾¼ã¿ä»¶æ°æ¸ãè¾¼ã¿æã®ãããæ
-å ±ãè¨é² */
+	/* プロパティ読み込み件数書き込み時のヘッド情報を記録 */
 	*p_trn_pos = _ecn_fbs_get_datalen(*(ECN_FBS_ID *)&ppk_esv);
 
-	/* å¿ç­é»æç¨ã¡ã¢ãªã«ãã¼ã¿è¿½å ã»ãã®æç¹ã§ã®å¿ç­é»æä¸­ãã­ããã£ä»¶æ°ãè¨é² */
+	/* 応答電文用メモリにデータ追加・この時点での応答電文中プロパティ件数を記録 */
 	a_ret = _ecn_fbs_add_data_ex(mrb, *(ECN_FBS_ID *)&ppk_esv, &ppk_esv->hdr.edata.opc, 1);
 	if (a_ret) {
@@ -294,5 +241,5 @@
 	}
 
-	/* å¿ç­é»æä¸­ãã­ããã£ä»¶æ°ã 0 ã«æ»ãï¼ä»å¾ãçµäºæå®ããã¾ã§ã¯èª­ã¿åºããã­ããã£ä»¶æ°ã«ãªãï¼ */
+	/* 応答電文中プロパティ件数を 0 に戻す（今後、終了指定するまでは読み出しプロパティ件数になる） */
 	ppk_esv->hdr.edata.opc = 0;
 
@@ -301,7 +248,6 @@
 
 /*
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æï¼çµäºæå®
- * ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æä¸­ã®ãèª­ã¿åºããã­ããã£é
-åãçµããæã«ç¨ããã
+ * プロパティ値書き込み・読み出し要求電文作成：終了指定
+ * プロパティ値書き込み・読み出し要求電文作成中の、読み出しプロパティ配列を終える時に用いる。
  */
 ER ecn_end_set_get(mrb_state *mrb, T_EDATA *ppk_esv, int fa_trn_pos)
@@ -314,8 +260,8 @@
 		return E_PAR;
 
-	/* ãã®æç¹ã§ã®å¿ç­é»æä¸­ãã­ããã£ä»¶æ°(èª­ã¿åºããã­ããã£ä»¶æ°)ãä¿æ */
+	/* この時点での応答電文中プロパティ件数(読み出しプロパティ件数)を保持 */
 	a_rd_opc = ppk_esv->hdr.edata.opc;
 
-	/* å¿ç­é»æä¸­ãã­ããã£ä»¶æ°(æ¸ãè¾¼ã¿ãã­ããã£ä»¶æ°)ãä¿å­ä½ç½®ããèª­ã¿åã */
+	/* 応答電文中プロパティ件数(書き込みプロパティ件数)を保存位置から読み取り */
 	a_wr_opc = _ecn_fbs_peek(mrb, *(ECN_FBS_ID *)&ppk_esv, fa_trn_pos);
 	if (a_wr_opc < 0) {
@@ -324,9 +270,8 @@
 	}
 
-	/* å¿ç­é»æä¸­ãã­ããã£ä»¶æ°(æ¸ãè¾¼ã¿ãã­ããã£ä»¶æ°)ãå¾©å
- */
+	/* 応答電文中プロパティ件数(書き込みプロパティ件数)を復元 */
 	ppk_esv->hdr.edata.opc = (uint8_t)a_wr_opc;
 
-	/* å¿ç­é»æä¸­ãã­ããã£ä»¶æ°(èª­ã¿åºããã­ããã£ä»¶æ°)ãä¿å­ä½ç½®ã«æ¸ãè¾¼ã¿ */
+	/* 応答電文中プロパティ件数(読み出しプロパティ件数)を保存位置に書き込み */
 	a_ret = _ecn_fbs_poke(mrb, *(ECN_FBS_ID *)&ppk_esv, fa_trn_pos, a_rd_opc);
 	if (a_ret) {
@@ -339,14 +284,10 @@
 
 /*
- * ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼é»æä½æ
- * å¼æ°
- * T_EDATA			**ppk_esv	åå¾ããé»æã®æ ¼ç´å
-
- * ID				fa_deoj		å®å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * ID				fa_seoj		éä¿¡å
-ã®ECHONETãªãã¸ã§ã¯ãID
- * uint8_t			fa_sepc		éä¿¡å
-ã®ãã­ããã£ã³ã¼ã
+ * プロパティ値通知（応答要）電文作成
+ * 引数
+ * T_EDATA			**ppk_esv	取得した電文の格納先
+ * ID				fa_deoj		宛先のECHONETオブジェクトID
+ * ID				fa_seoj		送信元のECHONETオブジェクトID
+ * uint8_t			fa_sepc		送信元のプロパティコード
  */
 ER ecn_esv_infc(ecnl_svc_task_t *svc, T_EDATA **ppk_esv, ID fa_deoj, ID fa_seoj, uint8_t fa_sepc)
@@ -356,5 +297,5 @@
 
 /*
- * è¦æ±é»æã¸ã®ãã­ããã£æå®è¿½å  (ãã­ããã£ãã¼ã¿ãä»éããªãå ´åã«ç¨ãã)
+ * 要求電文へのプロパティ指定追加 (プロパティデータが付随しない場合に用いる)
  */
 ER ecn_add_epc(mrb_state *mrb, T_EDATA *pk_esv, uint8_t epc)
@@ -364,5 +305,5 @@
 
 /*
- * è¦æ±é»æã¸ã®ãã­ããã£ãã¼ã¿è¿½å  (ãã­ããã£ããã³ä»éãã¼ã¿ãè¿½å ãã)
+ * 要求電文へのプロパティデータ追加 (プロパティおよび付随データを追加する)
  */
 ER ecn_add_edt(mrb_state *mrb, T_EDATA *pk_esv, uint8_t fa_epc, uint8_t fa_pdc, const void *p_edt)
@@ -373,16 +314,15 @@
 
 	if (!pk_esv)
-		return E_PAR; /* åå¾ããFBS_IDã®æ ¼ç´å
-ãNULL */
+		return E_PAR; /* 取得したFBS_IDの格納先がNULL */
 	if (ECHONET_MEMPOOL_BLOCK_SIZE <= fa_pdc)
-		return E_PAR; /* ãã­ããã£å¤ãµã¤ãºãå¤§ãããã */
+		return E_PAR; /* プロパティ値サイズが大きすぎる */
 	if (!p_edt && 0 < fa_pdc)
-		return E_PAR; /* ãã­ããã£å¤ãµã¤ãºã1ä»¥ä¸ãªã®ã«ãã¼ã¿ãã¤ã³ã¿ãNULL */
+		return E_PAR; /* プロパティ値サイズが1以上なのにデータポインタがNULL */
 
 	a_fbs_id.ptr = (T_ECN_FST_BLK *)pk_esv;
 	if (((T_EDATA *)a_fbs_id.ptr)->hdr.edata.opc == 0xFF)
-		return E_PAR; /* ãã­ããã£ãå¤ããã */
-
-	/* è¦æ±é»æç¨ã¡ã¢ãªã«ãã¼ã¿è¿½å  */
+		return E_PAR; /* プロパティが多すぎる */
+
+	/* 要求電文用メモリにデータ追加 */
 	memset(&a_ecn_prp, 0, sizeof(a_ecn_prp));
 	a_ecn_prp.epc = fa_epc;
@@ -395,5 +335,5 @@
 	}
 	if (0 < fa_pdc) {
-		/* ä»éãã¼ã¿è¿½å  */
+		/* 付随データ追加 */
 		a_ret = _ecn_fbs_add_data_ex(mrb, a_fbs_id, p_edt, fa_pdc);
 		if (a_ret) {
@@ -403,5 +343,5 @@
 		}
 	}
-	/* ãã­ããã£æ°ã¤ã³ã¯ãªã¡ã³ã */
+	/* プロパティ数インクリメント */
 	((T_EDATA *)a_fbs_id.ptr)->hdr.edata.opc++;
 
@@ -411,8 +351,7 @@
 
 /*
- * è¦æ±é»æã®éä¿¡
- * esvã§æå®ãããè¦æ±é»æãéä¿¡ããã
- * é»æã«æå®ãããå®å
-ããéä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãç¹å®ããUDPãã±ããã¨ãã¦éä¿¡ããã
+ * 要求電文の送信
+ * esvで指定された要求電文を送信する。
+ * 電文に指定された宛先から通信レイヤーアドレスを特定し、UDPパケットとして送信する。
  */
 ER ecn_snd_esv(ecnl_svc_task_t *svc, T_EDATA *pk_esv)
@@ -424,11 +363,8 @@
 
 /*
- * å¿ç­é»æã®åä¿¡ãã¼ãªã³ã°
- * å¿ç­é»æãåä¿¡ããã®ãå¾
-ã¤ã
- * åä¿¡ããå¿ç­é»æã¯ppk_esvã§æå®ãããã¤ã³ã¿ã¼ã«å
-é ­ã¢ãã¬ã¹ãè¿ãããã
- * å¿ç­é»æã®åä¿¡ã®æç¡ã«ããããããå¾
-ããã«é¢æ°ãæããã
+ * 応答電文の受信ポーリング
+ * 応答電文を受信するのを待つ。
+ * 受信した応答電文はppk_esvで指定したポインターに先頭アドレスが返される。
+ * 応答電文の受信の有無にかかわらず、待たずに関数を抜ける。
  */
 ER ecn_prcv_esv(ecnl_svc_task_t *svc, T_EDATA **ppk_esv)
@@ -451,5 +387,5 @@
 
 /*
- * å¿ç­é»æã®ç ´æ£
+ * 応答電文の破棄
  */
 ER ecn_rel_esv(mrb_state *mrb, T_EDATA *pk_esv)
@@ -464,6 +400,5 @@
 
 /*
- * å¿ç­é»æã®éä¿¡å
-ãã¼ããåå¾ãã
+ * 応答電文の送信元ノードを取得する
  */
 ID ecn_get_enod(ecnl_svc_task_t *svc, T_EDATA *pk_esv)
@@ -487,6 +422,5 @@
 
 /*
- * å¿ç­é»æã®éä¿¡å
-æ©å¨ãªãã¸ã§ã¯ããåå¾ãã
+ * 応答電文の送信元機器オブジェクトを取得する
  */
 ID ecn_get_eobj(ecnl_svc_task_t *svc, T_EDATA *pk_esv)
@@ -499,10 +433,10 @@
 	p_snod = _ecn_eno_fnd(svc, ((T_ECN_FST_BLK *)pk_esv)->hdr.sender.id);
 	if (p_snod != NULL) {
-		/* ãã¼ããã­ãã¡ã¤ã«ã®å ´å */
+		/* ノードプロファイルの場合 */
 		if ((p_esv->edata.seoj.eojx1 == EOJ_X1_PROFILE)
 			&& (p_esv->edata.seoj.eojx2 == EOJ_X2_NODE_PROFILE)) {
 			p_sobj = p_snod->profile;
 		}
-		/* æ©å¨ãªãã¸ã§ã¯ãã®å ´å */
+		/* 機器オブジェクトの場合 */
 		else {
 			p_sobj = _ecn_eoj_fnd(p_snod, &p_esv->edata.seoj);
@@ -520,5 +454,5 @@
 
 /*
- * å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼åæå
+ * 応答電文解析イテレーター初期化
  */
 ER ecn_itr_ini(T_ENUM_EPC *pk_itr, T_EDATA *pk_esv)
@@ -532,14 +466,14 @@
 	pk_itr->pk_esv = pk_esv;
 	pk_itr->count = pk_esv->hdr.edata.opc;
-								/* ä»ã®ãã­ãã¯ã§ã®ãã­ããã£ç·æ° */
-	pk_itr->got_ct = 0;			/* ä»ã®ãã­ãã¯ã§ãèª­ã¿åã£ãæ° */
-	pk_itr->next_blk_ct = 0;	/* å¾ç¶ãã­ãã¯æ° */
-	pk_itr->is_eof = 0;			/* çµç«¯ã«éããæãé0 */
+								/* 今のブロックでのプロパティ総数 */
+	pk_itr->got_ct = 0;			/* 今のブロックで、読み取った数 */
+	pk_itr->next_blk_ct = 0;	/* 後続ブロック数 */
+	pk_itr->is_eof = 0;			/* 終端に達した時、非0 */
 	pk_itr->cur = offsetof(T_ECN_EDT_HDR, ecn_prp);
 
 	switch (pk_esv->hdr.edata.esv) {
-	case ESV_SET_GET:		/* 0x6E ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±		*/
-	case ESV_SET_GET_RES:	/* 0x7E ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãå¿ç­		*/
-	case ESV_SET_GET_SNA:	/* 0x5E	ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãä¸å¯å¿ç­	*/
+	case ESV_SET_GET:		/* 0x6E プロパティ値書き込み・読み出し要求		*/
+	case ESV_SET_GET_RES:	/* 0x7E プロパティ値書き込み・読み出し応答		*/
+	case ESV_SET_GET_SNA:	/* 0x5E	プロパティ値書き込み・読み出し不可応答	*/
 		pk_itr->next_blk_ct ++;
 	default:
@@ -551,5 +485,5 @@
 
 /*
- * å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼ã¤ã³ã¯ãªã¡ã³ã
+ * 応答電文解析イテレーターインクリメント
  */
 ER ecn_itr_nxt(mrb_state *mrb, T_ENUM_EPC *pk_itr, uint8_t *p_epc, uint8_t *p_pdc, void *p_edt)
@@ -571,14 +505,13 @@
 
 	if (pk_itr->is_eof)
-		return E_BOVR; /* ãã¼ã¿çµäº */
+		return E_BOVR; /* データ終了 */
 	if (pk_itr->count <= pk_itr->got_ct && pk_itr->next_blk_ct < 1) {
-		pk_itr->is_eof = 1;			/* çµç«¯ã«éããæãé0 */
-		return E_BOVR; /* ãã¼ã¿çµäº */
+		pk_itr->is_eof = 1;			/* 終端に達した時、非0 */
+		return E_BOVR; /* データ終了 */
 	}
 
 	a_fbs_id.ptr = (T_ECN_FST_BLK *)pk_itr->pk_esv;
 
-	/* å
-ã®ã«ã¼ã½ã«ä½ç½®ãä¿å­ããã¤ãã¬ã¼ã¿ã®ã«ã¼ã½ã«ä½ç½®ã«ãã */
+	/* 元のカーソル位置を保存し、イテレータのカーソル位置にする */
 	a_rd_bak = a_fbs_id.ptr->hdr.rd;
 	a_fbs_id.ptr->hdr.rd = pk_itr->cur;
@@ -588,10 +521,10 @@
 #endif
 	if (pk_itr->count <= pk_itr->got_ct && 0 < pk_itr->next_blk_ct) {
-		/* æ¬¡ãã­ãã¯ã«ç§»å */
+		/* 次ブロックに移動 */
 		pk_itr->next_blk_ct --;
-		pk_itr->count = 0;		/* ä»ã®ãã­ãã¯ã§ã®ãã­ããã£ç·æ° */
-		pk_itr->got_ct = 0;		/* ä»ã®ãã­ãã¯ã§ãèª­ã¿åã£ãæ° */
-
-		/* æ¬¡ãã­ãã¯ã®ãã­ããã£æ°ãèª­ã¿åã */
+		pk_itr->count = 0;		/* 今のブロックでのプロパティ総数 */
+		pk_itr->got_ct = 0;		/* 今のブロックで、読み取った数 */
+
+		/* 次ブロックのプロパティ数を読み取る */
 		a_rd_len = 0;
 		a_ret = _ecn_fbs_get_data(mrb, a_fbs_id, &a_ecn_prp.pdc, 1, &a_rd_len);
@@ -599,11 +532,11 @@
 			goto lb_except;
 		if (0 < a_rd_len) {
-			pk_itr->count = a_ecn_prp.pdc;	/* ä»ã®ãã­ãã¯ã§ã®ãã­ããã£ç·æ° */
+			pk_itr->count = a_ecn_prp.pdc;	/* 今のブロックでのプロパティ総数 */
 		}
-		a_ret = E_BOVR;	/* ãã¼ã¿çµäº */
+		a_ret = E_BOVR;	/* データ終了 */
 		goto lb_finally;
 	}
 
-	/* ãã­ããã£ã³ã¼ãã¨ãã¼ã¿ãµã¤ãºãèª­ã¿åã */
+	/* プロパティコードとデータサイズを読み取る */
 	memset(&a_ecn_prp, 0, sizeof(a_ecn_prp));
 	a_rd_len = 0;
@@ -613,6 +546,6 @@
 	if (a_rd_len < sizeof(a_ecn_prp)) {
 		ECN_DBG_PUT_1("ecn_itr_nxt() ecn_prp read fault. rd.cur=%d", pk_itr->cur);
-		pk_itr->is_eof = 1;			/* çµç«¯ã«éããæãé0 */
-		a_ret = E_BOVR;	/* ãã¼ã¿çµäº */
+		pk_itr->is_eof = 1;			/* 終端に達した時、非0 */
+		a_ret = E_BOVR;	/* データ終了 */
 		goto lb_finally;
 	}
@@ -627,5 +560,5 @@
 		}
 		else {
-			/* ä»éãã¼ã¿ãèª­ã¿åã */
+			/* 付随データを読み取る */
 			a_rd_len = 0;
 			a_ret = _ecn_fbs_get_data(mrb, a_fbs_id, p_edt, a_ecn_prp.pdc, &a_rd_len);
@@ -635,6 +568,6 @@
 				ECN_DBG_PUT_3("ecn_itr_nxt() edt read fault. rd.cur=%d,epc=0x%02X,pdc=%u",
 					pk_itr->cur, a_ecn_prp.epc , a_ecn_prp.pdc);
-				pk_itr->is_eof = 1;			/* çµç«¯ã«éããæãé0 */
-				a_ret = E_BOVR;	/* ãã¼ã¿çµäº */
+				pk_itr->is_eof = 1;			/* 終端に達した時、非0 */
+				a_ret = E_BOVR;	/* データ終了 */
 				goto lb_finally;
 			}
@@ -648,10 +581,9 @@
 
 lb_finally:
-	/* ã¤ãã¬ã¼ã¿ã®ã«ã¼ã½ã«ä½ç½®ãæ´æ° */
+	/* イテレータのカーソル位置を更新 */
 	pk_itr->cur = a_fbs_id.ptr->hdr.rd;
 
 lb_except:
-	/* å
-ã®ã«ã¼ã½ã«ä½ç½®ã«æ»ã */
+	/* 元のカーソル位置に戻す */
 	a_fbs_id.ptr->hdr.rd = a_rd_bak;
 	return a_ret;
@@ -659,19 +591,17 @@
 
 /*
- * å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿éä¿¡
+ * 応答電文待ちの割り込み送信
  */
 ER ecn_brk_wai(ecnl_svc_task_t *svc, const void *p_dat, int fa_datsz)
 {
 	ER				a_ret;
-	ECN_FBS_ID		a_fbs_id = { 0 };	/* è¦æ±é»æç¨ã¡ã¢ãª	*/
-
-	/* å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿é»æä½æ */
+	ECN_FBS_ID		a_fbs_id = { 0 };	/* 要求電文用メモリ	*/
+
+	/* 応答電文待ちの割り込み電文作成 */
 	a_ret = _ecn_mk_brk_wai(svc, &a_fbs_id, p_dat, fa_datsz);
 	if (a_ret)
 		return a_ret;
 
-	/* å²ãè¾¼ã¿éä¿¡ */
+	/* 割り込み送信 */
 	a_ret = _ecn_tsk_snd_mbx(svc, a_fbs_id, true);
 	if (a_ret) {
@@ -681,9 +611,9 @@
 	}
 
-	/* æ­£å¸¸çµäº */
+	/* 正常終了 */
 	return a_ret;
 
 lb_except:
-	/* ãã¼ã¿ä½æå¤±æãããé åè§£æ¾ */
+	/* データ作成失敗したら領域解放 */
 	if (a_fbs_id.ptr)
 		_ecn_fbs_del(svc->mrb, a_fbs_id);
@@ -693,5 +623,5 @@
 
 /*
- * å²ãè¾¼ã¿ãã¼ã¿ã®åå¾
+ * 割り込みデータの取得
  */
 ER ecn_get_brk_dat(mrb_state *mrb, T_EDATA *pk_esv, void *p_buf, int fa_bufsz, int *p_datsz)
@@ -713,6 +643,5 @@
 	}
 
-	/* èª­ã¿åãä½ç½®ãå
-é ­ã«æ»ã */
+	/* 読み取り位置を先頭に戻す */
 	a_ret = _ecn_fbs_set_rpos(a_fbs, 0);
 	if (a_ret) {
@@ -722,5 +651,5 @@
 	}
 
-	/* ä»éãã¼ã¿ãèª­ã¿è¾¼ã */
+	/* 付随データを読み込む */
 	if (p_buf && 0 < fa_bufsz) {
 		a_len = 0;
@@ -739,5 +668,5 @@
 #ifndef ECN_USER_DATA_PROP_SET
 /*
- * ãã¼ã¿è¨­å®é¢æ°
+ * データ設定関数
  */
 int ecn_data_prop_set(ecnl_svc_task_t *svc, const EPRPINIB *item, const void *src, int size, bool_t *anno)
@@ -757,5 +686,5 @@
 #ifndef ECN_USER_DATA_PROP_GET
 /*
- * ãã¼ã¿åå¾é¢æ°
+ * データ取得関数
  */
 int ecn_data_prop_get(ecnl_svc_task_t *svc, const EPRPINIB *item, void *dst, int size)
